package com.fzm.mall.server.admin.distribution.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.distribution.entity.dto.CompanyDTO;
import com.fzm.mall.server.admin.distribution.entity.dto.CompanySaveDTO;
import com.fzm.mall.server.admin.distribution.entity.dto.CompanyUpdateDTO;
import com.fzm.mall.server.admin.distribution.model.Company;

import java.util.List;

/**
 * <p>
 * 物流中心-快递公司 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-03
 */
public interface ICompanyService extends IService<Company> {

    void save(CompanySaveDTO companySaveDTO);

    void update(CompanyUpdateDTO companyUpdateDTO);

    void delete(String companyId, String merchantId);

    CompanyDTO read(String companyId, String merchantId);

    List<CompanyDTO> list(String merchantId);

}
